Subject: Re: bug#7716: 23.2.91; Pretest Windows binary doesn't support PNG images

From: Eli Zaretskii <[email-masked]>
Date: Tue, 11 Jan 2011 20:45:02 +0200

> From: "Drew Adams" <[email-masked]>
> Cc: <[email-masked]>, <[email-masked]>
> Date: Mon, 10 Jan 2011 20:41:26 -0800
> 
> > > PNG is still not displayed in the latest Windows build I have:
> > > GNU Emacs 24.0.50.1 (i386-mingw-nt5.1.2600) of 2011-01-03 on 3249CTO
> > 
> > What's the value of the variable libpng-version,
> 
> libpng-version's value is 10403
> Documentation:
> Not documented as a variable.
> 
> > and what version of libpng do you have installed?
> 
> How would I know? Looking at Properties > Version for each of these files:
> 
> libpng3.dll,  File version: 1.2.37.3442
> libpng12.dll, File version: 1.2.37.3442
> libpng13.dll, File version: 1.2.8.1799

This is version 1.2.x of libpng, while libpng-version's value, 10403,
means that Emacs looks for version 1.4.3 or later.  If you evaluate
`(image-type-available-p 'png)', you should see nil.

You need to download a newer version of libpng.

> > These two need to match; see README.W32
> > in the distro, under "Image libraries".
> 
> There is no "Image libraries" in README.W32.

Sorry, it was 6AM outside and cold, so my brain didn't warm up yet.

> Where does that leave us?  The only LibPng setup file I see at GNUWin32 is
> 1.2.37: http://gnuwin32.sourceforge.net/packages/libpng.htm
> (libpng-1.2.37-setup.exe).

You will find libpng 1.4.x here:

  http://www.gtk.org/download-windows.html

With this newer version, PNG support should work.  You may need to
restart Emacs, though (but I'm not sure, so try without first).